.App {
  text-align: center;
}

.App-logo {
  height: 40vmin;
  pointer-events: none;
}

@media (prefers-reduced-motion: no-preference) {
  .App-logo {
    animation: App-logo-spin infinite 20s linear;
  }
}

.App-header {
  background-color: #282c34;
  min-height: 100vh;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  font-size: calc(10px + 2vmin);
  color: white;
}

.App-link {
  color: #61dafb;
}

@keyframes App-logo-spin {
  from {
    transform: rotate(0deg);
  }
  to {
    transform: rotate(360deg);
  }
}

/* AppNavBar CSS */
#navHome {
  max-height: 100px;
  padding-left: 15rem;
  font-size: 18px;
}

@media (max-width: 1200px) {
  #navHome {
    padding-left: 0;
  }
}

/* ProductView CSS */
#productViewCard {
  background-image: url("./images/background-productView.jpg");
  background-size: 150%;
  background-position: center;
  border-radius: 15px;
  padding: 30px;
  margin: auto;
  max-width: auto;
  margin-top: 1.5rem;
  min-height: 79vh;
  max-height: 79vh;
}

/* AdminView CSS */
#custom-table {
  margin-top: 20px;
  border-radius: 15px;
  border-collapse: separate;
  background-color: #e7e6e6;
  padding: 20px;
  box-sizing: border-box;
}

#custom-table th,
#custom-table td {
  padding: 20px;
  border-radius: 15px;
  text-align: center;
  position: relative;
  vertical-align: middle;
  box-sizing: border-box;
}

#custom-table th {
  background-color: #e7e6e6;
  font-weight: bold;
  border: none;
}

#custom-table td {
  background-color: #fff;
}

/* EditProduct CSS */
#editButton,
#archiveButton,
#activateButton,
#checkoutButton {
  border-radius: 10px;
  border: none;
  width: 100%;
  height: 100%;
  display: flex;
  position: absolute;
  justify-content: center;
  align-items: center;
  padding: 5px 10px;
  box-sizing: border-box;
  top: 0;
  left: 0;
}

#editButton {
  background-color: #3b638c;
}

#archiveButton {
  background-color: #cc3939;
}

#activateButton,
#checkoutButton {
  background-color: #508e4a;
}

#buttonCell {
  width: 200px;
}

/* AddProduct CSS */
#addProductRow {
  background-color: #e7e6e6;
  background-size: 150%;
  background-position: center;
  border-radius: 15px;
  padding: 30px;
  margin: auto;
  max-width: auto;
  margin-top: 1.5rem;
  min-height: 79vh;
  max-height: 79vh;
}

/* UserView CSS */
#userViewRow {
  background-color: #e7e6e6;
  background-size: 150%;
  background-position: center;
  border-radius: 15px;
  padding: 30px;
  margin: auto;
  max-width: auto;
  margin-top: 1.5rem;
  min-height: 79vh;
}

/* ProductCard CSS */
#productCard {
  width: 18rem;
  height: 530px;
  border-radius: 15px;
}

#productCardImg {
  border-top-left-radius: 15px;
  border-top-right-radius: 15px;
}

/* Cart CSS */
#cartTable {
  margin-top: 20px;
  border-radius: 15px;
  border-collapse: separate;
  background-color: #e7e6e6;
  padding: 20px;
  box-sizing: border-box;
}

#cartTable th,
#cartTable td {
  padding: 20px;
  border-radius: 15px;
  text-align: center;
  position: relative;
  vertical-align: middle;
  box-sizing: border-box;
}

#cartTable th {
  background-color: #e7e6e6;
  font-weight: bold;
  border: none;
}

#cartTable td {
  background-color: #fff;
}

/* Profile CSS */
#profileContainer {
  background-image: url("./images/background-productView.jpg");
  background-size: 150%;
  background-position: center;
  border-radius: 15px;
  padding: 30px;
  margin: auto;
  max-width: auto;
  margin-top: 1.5rem;
  min-height: 79vh;
  max-height: auto;
}

#rowProfile {
  border-radius: 15px;
  padding: 30px;
  margin: auto;
  max-width: auto;
  max-height: auto;
  margin-top: 1.5rem;
}

#profilePic {
  border-radius: 50%;
  border: 5px solid #e7e6e6;
}
